Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class WorkspaceOperationRunner

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.WorkspaceOperationRunner

All Implemented Interfaces:
  IRunnableContext

    public class WorkspaceOperationRunner

extends java.lang.Object
implements IRunnableContext

Constructor Summary
`WorkspaceOperationRunner()`

Method Summary
`IProgressMonitor` `getProgressMonitor()` Returns the progress monitor.
`void` `run(boolean fork, boolean cancelable, IRunnableWithProgress runnable)`
`void` `run(boolean fork, boolean cancelable, IRunnableWithProgress runnable, ISchedulingRule schedulingRule)`
`void` `setProgressMonitor(IProgressMonitor progressMonitor)` Sets the progress monitor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceOperationRunner

    public WorkspaceOperationRunner()

Method Detail

### setProgressMonitor

    public void setProgressMonitor(IProgressMonitor progressMonitor)

  Sets the progress monitor.

  Parameters:
    `progressMonitor` - the progress monitor to set

### getProgressMonitor

    public IProgressMonitor getProgressMonitor()

  Returns the progress monitor. It there is no progress monitor the monitor\ is set to the `NullProgressMonitor`.

  Returns:
    the progress monitor

### run

    public void run(boolean fork,
                    boolean cancelable,
                    IRunnableWithProgress runnable)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

  Specified by:
    `run` in interface `IRunnableContext`
  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InterruptedException`

### run

    public void run(boolean fork,
                    boolean cancelable,
                    IRunnableWithProgress runnable,
                    ISchedulingRule schedulingRule)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

  Throws:
    `java.lang.reflect.InvocationTargetException`
    `java.lang.InterruptedException`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.